input[type='checkbox'].switch {
            outline: none;
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            position: relative;
            width: 40px;
            height: 20px;
            background: #cccccc;
            border-radius: 10px;
            transition: border-color .3s, background-color .3s;
}
input[type='checkbox'].switch::after {
            content: '';
            display: inline-block;
            width: 2rem;
            height: 2rem;
            border-radius: 50%;
            background: #f2dcc4;
            box-shadow: 0, 0, 2px, #999;
            transition: .4s;
            top: 0px;
            position: absolute;
            left: 0px;
}

input[type='checkbox'].switch:checked {
            background: #AC24CA;
}


input[type='checkbox'].switch:checked::after {
            content: '';
            position: absolute;
            left: 55%;
            top: 0px;
}

.btnno{
  min-width:60px;
  height:30px;
  background-color:#5041A3;
  line-height:30px;
  text-align:center;
  color:#ffffff;
  font-size:14px;
  margin:5px;
  padding-left:5px;
  padding-right:5px;
  border-radius:10px;
}
.btnmidno{
  min-width:30px;
  height:30px;
  background-color:#5041A3;
  line-height:30px;
  text-align:center;
  color:#ffffff;
  font-size:14px;
  margin:5px;
  padding-left:5px;
  padding-right:5px;
  border-radius:10px;
}
.btnminino{
  min-width:20px;
  height:20px;
  background-color:#5041A3;
  line-height:20px;
  text-align:center;
  color:#ffffff;
  font-size:12px;
  margin:5px;
  padding-left:3px;
  padding-right:3px;
  border-radius:5px;
}
.btnmini{
  min-width:20px;
  height:20px;
  background-color:#AC24CA;
  line-height:20px;
  text-align:center;
  color:#ffffff;
  font-size:12px;
  margin:5px;
  padding-left:3px;
  padding-right:3px;
  border-radius:5px;
}
.btn{
  min-width:60px;
  height:30px;
  background-color:#AC24CA;
  line-height:30px;
  text-align:center;
  color:#ffffff;
  font-size:14px;
  margin:5px;
  padding-left:5px;
  padding-right:5px;
  border-radius:10px;
}
.btnmid{
  min-width:30px;
  height:30px;
  background-color:#AC24CA;
  line-height:30px;
  text-align:center;
  color:#ffffff;
  font-size:14px;
  margin:5px;
  padding-left:5px;
  padding-right:5px;
  border-radius:10px;
}

.btnleft{
  min-width:100px;
  height:30px;
  background-color:#AC24CA;
  line-height:30px;
  text-align:center;
  color:#FFFFFF;
  font-size:14px;
  margin-left:10px;
  border-top-left-radius:10px;
  border-bottom-left-radius:10px;
}
.btnright{
  min-width:100px;
  height:30px;
  background-color:#AC24CA;
  line-height:30px;
  text-align:center;
  color:#F8F0E5;
  font-size:14px;
  margin-right:10px;
  border-top-right-radius:10px;
  border-bottom-right-radius:10px;
}
.btnall{
  min-width:80px;
  height:30px;
  background-color:#AC24CA;
  line-height:30px;
  text-align:center;
  color:#F8F0E5;
  font-size:14px;
  margin-right:10px;
  border-radius:10px;
}
.btnalert{
  min-width:80px;
  height:30px;
  background-color:#cc3333;
  line-height:30px;
  text-align:center;
  color:#ffffff;
  font-size:14px;
  margin-right:10px;
  border-radius:10px;
}
.crowhead{
  width:100%;display: flex;flex-direction: row;
}

.bgs{
   background-color:;
}
.fcs{
   color:#FFFFFF;
}
.fcs2{
   color:red;
}
.fcs3{
   color:gray;
}
.bgc{
   background-color:;
}
.bgc2{
   background-color:;
}
.bgc3{
   background-color:;
}
.fcc{
   color:#FFFFFF;
}
.fcc2{
   color:red;
}
.fcc3{
   color:gray;
}
.bgst{
   background-color:#F0A8D2;
}
.bgst2{
   background-color:#F0A8D2;
}
.bgst3{
   background-color:;
}
.fcst{
   color:#FFFFFF;
}
.fcst2{
   color:red;
}
.fcst3{
   color:gray;
}
.fcctrl{
   color:#ffffff;
}
.bgctrl{
   background-color:#2f186a;
}
.fcbtn{
   color:#ffffff;
}
.bgbtn{
   background-color:#AC24CA;
}
.fcnobtn{
   color:#ffffff;
}
.bgnobtn{
   background-color:#5041A3;
}
.bgsw{
   background-color:#f9f9f9;
}
.fs{
   font-size:1.2rem;
}

.selectx{
  background-color: #AC24CA;
  color: #ffffff;
  border:1rpx solid #AC24CA;
}

.specbtn{
  margin-left: 2%;
  margin-bottom: 2%;
  padding:5px;
  min-width:15%;
  float: left;
  min-height: 20px;
  line-height: 20px;
  border-radius: 20px;
  background-color: #5041A3;
  color: #C5A767;
  font-size: 12px;
  text-align: center;
  border:1rpx solid #5041A3;
  }


.ffield{
  width:100%;border-bottom:1rpx solid #f7a34b; display: flex;flex-direction: row;background-color: #F0A8D2;color:#FFFFFF;
}
.fname{
  padding:2%;width:30%;line-height:30px;font-size:1.2rem;background-color: #F0A8D2;color:#FFFFFF;text-align:left;
}
.fnameall{
 width:100%;line-height:30px;font-size:1.2rem;background-color: #F0A8D2;color:#FFFFFF;
}
.fvalue{
  padding:2%;width:70%;font-size:1.2rem;background-color: #F0A8D2;color:#FFFFFF;
  
}

.fvalueall{
  width:100%;font-size:1.2rem;background-color: #F0A8D2;color:#FFFFFF;
}

.ftext{
  font-size:1.2rem;width:100%;padding:2%;height:30px;line-height: 30px;background-color: #2f186a;color:#ffffff;border-radius:5px;outline:none;border:0px;
}
.fslider{
  height:40px;width:90%;background-color: #F0A8D2;color:#FFFFFF;
}
.ftextareaall{
  font-size:1.2rem;min-height:30px;width:100%;text-align:left;background-color: #2f186a;color:#ffffff;border-radius:5px;outline:none;border:0px;
}
.ftextarea{
  font-size:1.2rem;min-height:100px;width:80%;text-align:left;background-color: #2f186a;color:#ffffff;border-radius:5px;outline:none;border:0px;
}
.fpicall{
  width:93%;margin: 0px;border:1rpx solid #f7a34b;background-color: #F0A8D2;color:#FFFFFF;
}

























/* 默认字体大小 */
html {
    font-size: 10px; /* 默认情况下，假设字体大小为16px */
}

/* 针对宽度大于380px但小于768px的屏幕 */
@media screen and (min-width: 381px) and (max-width: 768px) {
    html {
        font-size: 12px; /* 屏幕宽度在381px到768px之间时，字体大小为18px */
    }
}

/* 针对宽度大于768px但小于1024px的屏幕 */
@media screen and (min-width: 769px) and (max-width: 1024px) {
    html {
        font-size: 18px; /* 屏幕宽度在769px到1024px之间时，字体大小为18px */
    }
}

/* 针对宽度大于1024px的屏幕 */
@media screen and (min-width: 1025px) {
    html {
        font-size: 22px; /* 屏幕宽度大于1024px时，字体大小为22px */
    }
}

body{font-size: 1.4rem ;} 


.f10{
  font-size:5.4rem;line-height: 5.6rem;
}
.f9{
  font-size:3.6rem;line-height: 3.8rem;
}
.f8{
  font-size:3.0rem;line-height: 3.2rem;
}
.f7{
  font-size:2.8rem;line-height: 3.0rem;
}
.f6{
  font-size:2.6rem;line-height: 2.8rem;
}
.f5{
  font-size:2.4rem;line-height: 2.6rem;
}
.f4{
  font-size:2.2rem;line-height: 2.4rem;
}
.f3{
  font-size:2.0rem;line-height: 2.2rem;
}
.f2{
  font-size:1.8rem;line-height: 2.0rem;
}
.f1{
  font-size:1.7rem;line-height: 1.9rem;
}
.f{
  font-size:1.4rem;line-height: 1.6rem;
}
.f0{
  font-size:1.2rem;line-height: 1.4rem;
}
.fx{
  font-size:1.1rem;line-height: 1.3rem;
}
.fy{
  font-size:1.0rem;line-height: 1.2rem;
}
.fz{
  font-size:0.9rem;line-height: 1.1rem;
}


.bggrape{
   background-color:#7367F1;
}
.fcgrape{
   color:#7367F1;
}
.bggray{
   background-color:#F3F6FE;
}
.fcgray{
   color:#F3F6FE;
}
.bgchat{
   background-color:#A283FF;
}
.colorbtn {
  min-width:100px;
  height:35px;
  line-height:35px;
  text-align:center;
  color:white;
  font-size: 14px;
  margin-right:10px;
  border-radius:35px;
  box-shadow:0px 2px 5px 1px #ff6ed6;
  background: linear-gradient(70deg,#ff6ed6,#9933ec);
}

.colorbtnx {
  min-width:100px;
  height:35px;
  line-height:35px;
  text-align:center;
  font-size: 14px;
  margin-right:10px;
  border-radius:35px;
  box-shadow:0px 2px 5px 1px #ff6ed6;
}
.btnbg1 {
  margin-top:20px;
  margin-bottom:5px;
  margin-left:10px;
  margin-right:10px;
  display:flex; 
  align-items:center;
  justify-content:center; 
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  background-image: url('/web/files/mob_files/tmp/wx206/btn1bg.png');
  text-align:center;
  color:white;
  height:40px;
  font-size:14px;
  line-height: 16px;
  border-radius:10px;
}
.btnbg2 {
  margin-top:20px;
  margin-bottom:5px;
  margin-left:10px;
  margin-right:10px;
  display:flex; 
  align-items:center;
  justify-content:center; 
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  background-image: url('/web/files/mob_files/tmp/wx206/btn2bg.png');
  text-align:center;
  color:white;
  height:40px;
  font-size:14px;
  line-height: 16px;
  border-radius:10px;
}
::placeholder {
  color: white; 
  opacity: 0.5; 
}

.drecblock {
  width: 90.67vw;
  height: 37.34vw;
  background: url(./img/cf3a273dffc58b7e5a757ba24066ea6d.png)
    100% no-repeat;
  background-size: 100% 100%;
  margin: 5.06vw 0 0 5.33vw;
}
.drecname {
  width: 38.27vw;
  height: 3.6vw;
  overflow-wrap: break-word;
  color: rgba(255, 255, 255, 1);
  font-size: 3.73vw;
  font-family: PingFangSC-Medium;
  font-weight: 500;
  text-align: left;
  white-space: nowrap;
  margin: 4.4vw 0 0 6vw;
}
